package SAE.ApiREST.WebService.service;

import java.util.List;

import SAE.ApiREST.WebService.model.Article;

public interface IArticleService {

    // region GET
    public List<Article> getAllArticles();
    Article getArticlesById(Integer id);
    public List<Article> getArticlesByTitle(String title);
    public List<Article> getArticlesByType(Integer type);
    public List<Article> getVisibleArticles();
    public List<Article> getInvisibleArticles();
    public List<Article> getArticlesAddedBefore(String dateAdded);
    public List<Article> getArticlesAddedAfter(String dateAdded);
    public List<Article> getArticlesAddedBetween(String beginning, String end);
    public List<Article> getArticlesPublishedBefore(String datePublished);
    public List<Article> getArticlesPublishedAfter(String datePublished);
    public List<Article> getArticlesPublishedBetween(String beginning, String end);
    // endregion

}
