package SAE.ApiREST.WebService.service;

import SAE.ApiREST.WebService.model.Teacher;

import java.time.LocalDate;
import java.util.List;

public interface ITeacherService {

    //Todo() by id, by mail, by username, allProf, by date (order), suppression, ajout, FAIRE DES REGIONS!
    public List<Teacher> getAllTeacher();

    Teacher getTeacherById(Integer id);

    public Teacher getTeacherByUsername(String username);
    public Teacher getTeacherByMail(String mail);
    public Teacher getTeacherByDate(String date);
    public List<Teacher> addTeacher(Teacher t);

    public List<Teacher> deleteTeacher(Integer id);
}
